Bug 200302 - [PATCH] editors/texworks: Update to version 0.6.0
Summary: [PATCH] editors/texworks: Update to version 0.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexandre C. Guimarães
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-05-18 18:36 UTC by tkato432
Modified: 2018-10-14 18:31 UTC (History)
4 users (show)

See Also:
tcberner: maintainer-feedback-


Attachments
editors_texworks.diff (6.23 KB, patch)
2015-05-18 18:36 UTC, tkato432
no flags Details | Diff
editors_texworks.diff (6.21 KB, patch)
2015-08-03 18:31 UTC, tkato432
no flags Details | Diff
editors_texworks.diff (7.66 KB, patch)
2015-08-22 22:30 UTC, tkato432
no flags Details | Diff
editors_texworks.diff (7.00 KB, patch)
2016-01-14 11:00 UTC, tkato432
no flags Details | Diff
editors_texworks.diff (7.60 KB, patch)
2016-04-12 09:30 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2015-05-18 18:36:06 UTC
Created attachment 156902 [details]
editors_texworks.diff
Comment 1 tkato432 2015-08-03 18:31:04 UTC
Created attachment 159500 [details]
editors_texworks.diff

Chase r386097
Comment 2 tkato432 2015-08-22 22:30:09 UTC
Created attachment 160228 [details]
editors_texworks.diff

Chase r395048
Comment 3 Hiroki Sato freebsd_committer 2015-08-22 22:36:18 UTC
Take.
Comment 4 tkato432 2016-01-14 11:00:42 UTC
Created attachment 165554 [details]
editors_texworks.diff

Chase r403255
Comment 5 tkato432 2016-04-12 09:30:11 UTC
Created attachment 169235 [details]
editors_texworks.diff

Version 0.6.0 has been released.
Comment 6 Mathieu Arnold freebsd_committer 2018-03-06 16:52:27 UTC
At first glance (it is hard to read, as always, it rewrites most of the port) this has clear violations of the Order of Variables in Port Makefiles chapter's : https://www.freebsd.org/doc/en/books/porters-handbook/porting-order.html
Comment 7 Alexandre C. Guimarães freebsd_committer 2018-09-18 03:47:55 UTC
I have texworks updated to 0.6.2 on the phab:

https://reviews.freebsd.org/D17177

Thanks!
Comment 8 commit-hook freebsd_committer 2018-10-14 18:28:56 UTC
A commit references this bug:

Author: rigoletto
Date: Sun Oct 14 18:28:01 UTC 2018
New revision: 482104
URL: https://svnweb.freebsd.org/changeset/ports/482104

Log:
  editors/texworks: Update to version 0.6.2.

  Texworks is available now as Qt5 only because the upcoming poppler update will not include a Qt4 version.

  PR:		200302
  Submitted by:	tkato432@yahoo.com (original version)
  Reviewed by:	mat (mentor)
  Approved by:	tcberner (mentor), hrs (maintainer, timeout)
  Differential Revision:	https://reviews.freebsd.org/D17177

Changes:
  head/editors/texworks/Makefile
  head/editors/texworks/distinfo
  head/editors/texworks/files/
Comment 9 Alexandre C. Guimarães freebsd_committer 2018-10-14 18:31:40 UTC
Thank you.